// -*- c++ -*-
//
// Copyright (c) 2002-2003 Indiana University.  All rights reserved.
// Copyright (c) 1996, 1997, 1998, 2000 University of Notre Dame.
//                         All rights reserved.
// 
// This file is part of the OOMPI software package.  For license
// information, see the LICENSE file in the top level directory of the
// OOMPI source distribution.
//
// $Id: hello_world.cc,v 1.4 2003/03/03 21:56:59 jewillco Exp $
//
//
// Each process gets its rank in the OOMPI_COMM_WORLD communicator then
// prints out a message.


#include <iostream>
#include "oompi.h"

using namespace std;

int
main(int argc, char *argv[])
{
  OOMPI_COMM_WORLD.Init(argc, argv);
  
  int rank = OOMPI_COMM_WORLD.Rank();
  int size = OOMPI_COMM_WORLD.Size();
  
  cout << "Hello World! I am " << rank << " of " << size << endl;

  OOMPI_COMM_WORLD.Finalize();
}
  
